from pathlib import Path

from pandas.core.frame import FormattersType

currentdir = "/Users/normrasmussen/Documents/Work/CustomerNotes/"
path_dir = Path("/Users/normrasmussen/Documents/Work/CustomerNotes/")


def path_files(path_dir):
    listfiles = list(path_dir.glob("**/*.md"))
    print(f"Successfully made the '{path_dir}' directory.")
    for file in listfiles:
        strfile = str(file)
        company = strfile.split["/"](6)[:-3]
        new_dir = path_dir / company
        new_dir.mkdir()
        file.rename(
            f"/Users/normrasmussen/Documents/Work/CustomerNotes/{company}/{company}.md"
        )
        print(company)
        company = strfile.split()



if __name__ == "__main__":
    path_files(path_dir)
